import * as React from "react";
import { SVGProps } from "react";

const FooterLogo = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={101}
    height={94}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      d="M13.731 17.827 30.842.81l40.335.068 17.016 17.11-.068 45.737-17.111 17.016-40.335-.068-17.016-17.112.068-45.735Z"
      fill="#126B5D"
      stroke="#F5B434"
      strokeWidth={1.62}
    />
    <path
      d="m27.858 26.233 10.694-10.73 25.078.043 10.635 10.79-.043 28.667-10.694 10.73-25.078-.043L27.816 54.9l.042-28.667Z"
      fill="#0B8EC2"
      stroke="#fff"
      strokeWidth={0.54}
    />
    <path
      d="M59.682 37.377a8.912 8.912 0 0 0 8.858-9.897 7.05 7.05 0 1 1-7.872-7.872 8.912 8.912 0 1 0-.986 17.77Z"
      fill="#D9D9D9"
    />
    <path
      d="M50.505 80.322c16.071-.097 31.09.911 49.685 3.107v9.31H.81v-9.31c18.594-2.196 33.614-3.204 49.685-3.107h.01Z"
      fill="#0B8EC2"
      stroke="#F5B434"
      strokeWidth={1.62}
    />
    <path
      d="M38.015 83.286v5.883H35.65v-3.246l-1.604 3.246h-1.979L30.45 85.9v3.27h-2.364v-5.883h2.859l2.135 3.822 2.088-3.822h2.847ZM42.77 83.286V86.7c0 .317.105.562.315.734.217.173.542.26.977.26.434 0 .76-.087.977-.26.225-.178.338-.422.338-.734v-3.413h2.365V86.7c0 .54-.165 1.002-.495 1.385-.33.379-.78.665-1.351.86-.563.189-1.19.284-1.882.284s-1.312-.095-1.858-.284c-.54-.195-.966-.481-1.28-.86-.305-.378-.458-.84-.458-1.385v-3.413h2.353ZM55.168 89.17l-2.666-2.58v2.58h-2.365v-5.884h2.365v2.537l2.642-2.537h2.727l-3.125 2.854 3.281 3.03h-2.859ZM62.35 84.596v.96h2.714v1.243h-2.715v1.06h3.077v1.31h-5.442v-5.883h5.442v1.31h-3.077ZM73.455 83.286v1.302h-3.403v1.035h2.51v1.243h-2.51v2.303h-2.365v-5.883h5.768Z"
      fill="#fff"
    />
    <path
      d="m34.31 55.965.707-2.5c8.039-.553 14.948-1.367 15.655 1.18 1.023-2.1 4.48-2.547 15.845-1.038l.566 2.358H52.276c-1.215-1.64-1.897-1.524-3.112 0H34.31Z"
      fill="#D9D9D9"
    />
    <path
      d="m35.017 53.465 4.244-7.875c3.16 0 8.63-3.018 11.553-.613 2.877-2.405 9.29.613 11.553.613l4.103 7.97c-5.706-.566-13.345-1.934-15.892.848-1.084-2.499-7.893-1.363-15.561-.943Z"
      fill="#D9D9D9"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M46.494 43.952c-.597.076-1.238.233-4.6 1.127-.56.149-1.391.319-1.848.377l-.83.107-1.43 2.715a186.386 186.386 0 0 1-2.17 4.022c-.547.96-.81 1.542-.995 2.201a58.145 58.145 0 0 1-.455 1.534c-.134.42-.172.67-.11.731.09.09 12.131-.04 14.546-.157l1.071-.053.155-.29c.283-.53.539-.727.947-.727.335 0 .419.05.773.471l.398.472h7.943c8.611 0 8.252.022 8.122-.496-.03-.118-.316-.573-.637-1.01-.32-.437-.622-.94-.671-1.118-.05-.177-.665-1.325-1.37-2.55-1.18-2.057-2.747-5.059-2.895-5.549-.049-.162-.158-.22-.506-.264-.984-.128-2.041-.366-3.791-.852-2.357-.655-3.385-.833-4.48-.774-.974.053-1.738.29-2.453.765l-.48.318-.23-.19c-.398-.328-1.338-.717-1.977-.819-.7-.111-1.096-.11-2.027.01Zm2.396.226c.641.151 1.411.524 1.668.808.14.155.148.575.084 4.661l-.07 4.492-.342-.328c-.432-.414-.967-.682-1.777-.89-.532-.136-1.059-.163-3.138-.157-2.19.005-2.917.05-5.879.358-1.858.193-3.58.339-3.826.323l-.448-.028.835-1.497c.459-.823 1.326-2.436 1.927-3.584 1.502-2.87 1.386-2.7 1.858-2.7.49-.002 1.92-.323 3.936-.886 2.572-.718 3.92-.867 5.172-.572Zm7.93.268c3.142.844 4.166 1.092 4.741 1.151l.617.063.903 1.804a92.094 92.094 0 0 0 2.07 3.83l1.166 2.029-.844.027c-.473.015-2.073-.098-3.64-.258-4.192-.428-5.908-.519-7.372-.39-1.774.157-2.728.474-3.375 1.12l-.348.35.023-2.311c.076-7.392.053-6.769.26-6.93.311-.244.911-.542 1.461-.726.43-.144.738-.167 1.792-.137 1.096.031 1.451.084 2.547.378Zm-9.87 8.453c1.671.139 2.54.398 3.112.93.246.228.59.76.518.802-.017.01-.189.09-.382.177-.301.137-.842.726-.942 1.026-.02.06-.129.057-.308-.011-.152-.058-.894-.153-1.649-.21-1.34-.102-3.765-.055-10.66.206-1.166.045-2.147.064-2.18.043-.034-.02.076-.515.244-1.1l.304-1.062.887-.073c.487-.04 2.159-.202 3.715-.36 2.515-.255 4.52-.41 5.8-.448.233-.007.927.03 1.541.08Zm12.37.092c.519.053 1.77.184 2.782.29 1.012.107 2.408.223 3.103.259l1.264.066.303 1.155.303 1.155-.435-.002c-.24 0-1.666-.064-3.17-.14-5.686-.29-9.072-.287-10.94.007-.246.038-.317-.005-.54-.331-.247-.364-.852-.76-1.16-.76-.27 0 .235-.754.71-1.057.495-.317 1.41-.613 2.268-.734.73-.102 4.193-.045 5.512.092Zm-15.75.296c-.519.044-1.834.208-2.924.363-1.85.263-3.346.43-4.574.511-.285.02.267.023 1.226.009 1.414-.022 2.166-.09 3.961-.357 1.22-.182 2.684-.36 3.254-.395 1.684-.105 3.555.174 4.95.738.312.126.567.214.567.194 0-.019-.252-.162-.561-.318-1.422-.717-3.354-.961-5.9-.745Zm10.61.095c-.765.124-1.992.532-2.414.803-.393.252-.373.248.716-.155 2.027-.75 4.144-.753 9.027-.011 1.605.243 3.154.34 3.857.24.516-.074.462-.084-.765-.146-.726-.037-2.211-.196-3.3-.354-1.09-.157-2.393-.33-2.897-.385-1.08-.116-3.487-.112-4.224.008Zm-11.169.56a95.77 95.77 0 0 0-2.782.369c-2.278.33-3.949.488-4.483.422-.34-.042-.356-.036-.145.058.41.183 2.863.046 4.904-.275 2.581-.406 3.836-.517 5.097-.452 1.141.06 2.55.36 3.353.715.244.108.466.175.492.149.088-.089-1.21-.618-1.989-.811-.912-.226-3.118-.313-4.447-.176Zm12.348-.002c-1.074.105-1.934.324-2.742.697-.707.327-1.003.565-.347.279 2.026-.883 4.2-1.026 7.764-.51 1.111.16 2.084.31 2.162.333.366.105 2.75.22 3.254.157.531-.067.494-.075-.613-.134-.648-.034-2.219-.212-3.49-.395-2.06-.297-4.528-.547-5.045-.513a55.63 55.63 0 0 0-.943.087Zm-12.402.718c-.233.022-1.597.208-3.03.413-1.684.242-2.967.376-3.63.38-.802.004-.975.027-.79.103.378.158 2.805.022 4.432-.247 3.106-.514 4.726-.624 6.183-.422.758.106 1.91.421 2.517.689.195.086.354.132.354.101 0-.116-1.404-.69-2.075-.846-.698-.164-2.995-.263-3.961-.17Zm12.603.035a7.5 7.5 0 0 0-2.442.678c-.79.36-.781.44.012.118 1.958-.795 3.967-.853 7.884-.226 2.004.32 3.455.441 4.438.37.644-.048.634-.05-.426-.115-.597-.037-2.273-.236-3.726-.442-2.826-.403-4.55-.517-5.74-.383Z"
      fill="#000"
    />
  </svg>
);

export default FooterLogo;
